/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   defines.h
 * Author: tg
 *
 * Created on April 19, 2016, 10:47 AM
 */

#ifndef DEFINES_H
#define DEFINES_H

namespace Defs {
    namespace Author {
        const char Contact[] = "Tim Gruene, tim.gruene@psi.ch, (c)2012";
    }
    const char ProgramName[] = "timepix";
    const char Version[] = "1.0";
    namespace Timepix {
        const unsigned int Width(512);
        const unsigned int Height(512);
        const float pixel_size_x (0.055); // mm per pixel
        const float pixel_size_y (0.055); // mm per pixel
        const float pixel_long_size_x (0.165); // 3 x a single pixel
        const float pixel_long_size_y (0.165); // 3 x a single pixel
        const float quad_gap_dx (9.8125); // width of vertical gap [mm]
        const float quad_gap_dy (2.575); // width of horizontal gap [mm]
        const char cbf_header[]  = "# Detector: TIMEPIX, S/N 24-0109-F\n"
                "# Pixel_size 55e-6 m x 55e-6 m\n"
                "# Silicon sensor, thickness 0.000030 m\n"
                "# Exposure_time 0.0010000 s\n"
                "# Exposure_period 0.1000000 s\n"
                "# Tau = 9.0e-2 s\n"
                "# Count_cutoff 11000 counts\n"
                "# Threshold_setting: 60 keV\n"
                "# Gain_setting: low gain (vrf = -0.300)\n"
                "# N_excluded_pixels = 3072\n"
                "# Excluded_pixels: badpix_mask.tif\n"
                "# Flat_field: no_flat_fied_correction.tif\n"
                "# Trim_file: no_trim_file.bin\n"
                "# Image_path: /ramdisk/e15286/20141204/Fc-DCF/01/\n"
                "# Wavelength 0.02508 A\n"
                "# Detector_distance 0.30000 m\n"
                "# Detector_Voffset 0.00000 m\n"
                "# Beam_xy (256.00, 256.00) pixels\n";
    }
}


#endif /* DEFINES_H */

