/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

#include "usage.h"

#include <iostream>

void usage() {
    std::cout << "  * Usage: timepix [OPTIONS]\n"
            << "    Conversion of timepix binary format to CBF\n"
            << "    Options (square brackets: optional):\n"
            << "    -v:        verbose, print more output\n"
            << "    -c a:b:    convert images numbers a to b to cbf\n"
            << "    -d dir:    directory of frame_value_*.bin files\n"
            << "    -f infile: Read single input file\n"
            << "    -r root:   root file name of bin files (default frame_value_)\n"
            << "    -o output: output files will be output_????.cbf\n"
            << "    -s S [1]:  sum S images together before conversion\n"
            << "    -b k:      'Vertical' background subtraction across k files\n"
            << "    -X S:      Divide long pixel values by S [3]\n"
            << "    [-x /path/to/XDS.INP]: read experimental settings from XDS.INP\n"
            << "    -V:        print built date and time, and exit\n"
            << std::endl;
}

/**
 * Print a simple version string consisting of built date and time.
 */
void version() {
    std::cout << "*** Built date " << __DATE__ << ", time " << __TIME__ << '\n';
}